# Get vendorPurchases
Retrieve the properties and relationships of a vendorPurchase object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
GET businesscentralPrefix/companies({id})/vendorPurchases({vendorId}, '{vendorNo}', '{vendorName}')
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a ```200 OK``` response code and an vendorPurchases object in the response body.
## Example
Request
Here's an example of the request.
```json
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/vendorPurchases({vendorId}, '{vendorNo}', '{vendorName}')
```
Response
Here's an example of the response.
```json
{
    "vendorId": "f7a5738a-44e3-ea11-bb43-000d3a2feca1",
    "vendorNumber": "10000",
    "name": "Fabrikam, Inc.",
    "totalPurchaseAmount": "32.0",
    "dateFilter_FilterOnly": "2020-08-21"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_vendorpurchase

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_vendorpurchase_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_vendorpurchase_get/
